<h2 mat-dialog-title>Enter Customer details</h2>
<mat-dialog-content>
  <form [formGroup]="customerform">
    <div class="col-md-12">
      <div class="row">
        <div class="col-6">
          <mat-form-field appearance="fill">
            <mat-label>First Name</mat-label>
            <input matInput formControlName="firstName">
            <mat-error *ngIf="f.firstName.touched && f.firstName?.errors?.required">
              <span>Please enter first name.</span>
            </mat-error>
          </mat-form-field>
        </div>
        <div class="col-6">
          <mat-form-field appearance="fill">
            <mat-label>Last Name</mat-label>
            <input matInput formControlName="lastName">
            <mat-error *ngIf="f.lastName.touched && f.lastName?.errors?.required">
              <span>Please enter last name.</span>
            </mat-error>
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col-6">
          <mat-form-field appearance="fill">
            <mat-label>Email</mat-label>
            <input matInput formControlName="email">
            <mat-error *ngIf="f.email.touched && f.email?.errors?.required">
              <span>Please enter email.</span>
            </mat-error>
            <mat-error *ngIf="f.email.invalid && !f.email?.errors?.required">
              <span>Please enter valid email.</span>
            </mat-error>
          </mat-form-field>
        </div>
        <div class="col-6">
          <mat-form-field appearance="fill">
            <mat-label>Mobile number</mat-label>
            <input matInput formControlName="mobile" maxlength="10">
            <mat-error *ngIf="f.mobile.touched && f.mobile?.errors?.required">
              <span>Please enter mobile number.</span>
            </mat-error>
            <mat-error *ngIf="!f.mobile?.errors?.required && f.mobile.value.length < 10">
              <span>Please enter valid mobile number.</span>
            </mat-error>
          </mat-form-field>
        </div>
      </div>
      <div class = "row">
        <div class="col-6">
          <mat-form-field appearance="fill">
            <mat-label>Select your city</mat-label>
            <mat-select formControlName="city">
              <mat-option value="">Select</mat-option>
              <mat-option value="Chennai">Chennai</mat-option>
              <mat-option value="Bangalore" >Bangalore</mat-option>
              <mat-option value="Combatore" >Combatore</mat-option>
              <mat-option value="Thoothukudi" >Thoothukudi</mat-option>
              <mat-option value="Tirunuveli" >Tirunuveli</mat-option>
              <mat-option value="Tenkasi" >Tenkasi</mat-option>
              <mat-option value="Tangore" >Tangore</mat-option>
              <mat-option value="Hyderbad" >Hyderbad</mat-option>
            </mat-select>
            <mat-error *ngIf="f.city.touched && f.city?.errors?.required">
              <span>Please selct anyone.</span>
            </mat-error>
          </mat-form-field>
        </div>
        <div class="col-6">
          <mat-form-field appearance="fill" class="dob">
            <mat-label>Date Of Birth</mat-label>
            <input matInput [matDatepicker]="picker" formControlName="dateOfBirth">
            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col-6 pr-1">
          <mat-form-field class="example-full-width">
            <mat-label> Address 1</mat-label>
            <textarea matInput placeholder="Address1" formControlName="address1"></textarea>
            <mat-error *ngIf="f.address1.touched && f.address1?.errors?.required">
              <span>Please enter Address.</span>
            </mat-error>
          </mat-form-field>
        </div>
        <div class="col-6 pr-1">
          <mat-form-field class="example-full-width">
            <mat-label> Address 2</mat-label>
            <textarea matInput placeholder="Address2" formControlName="address2"></textarea>
          </mat-form-field>
        </div>
      </div>
    </div>
  </form>
</mat-dialog-content>
<mat-dialog-actions>
  <button mat-flat-button color="warn" mat-dialog-close>Cancel</button>
  <button type="submit" mat-flat-button color="primary" [disabled]="!customerform.valid" (click)="submitCustomer()" form="add-user-form" cdkFocusInitial>Save</button>
</mat-dialog-actions>